---
- name: Initial installation of perfact-login
  tags: always
  include_role:
    name: "{{ role_pflogin_base }}"
  loop:
    - general/disable-ipv6
    - 'general/ssh_host_keys'
    - 'base_install'
    - 'internalit/roles/user_perfact_useradmin'
    # standard-mailserver for internal systems:
    - 'general/postfix'
    - 'general/pfpyroutinecheck'
    - 'general/sshd_config'
    - 'general/pffirewall'
    - 'general/pfbackup'
    # info pffirewall must be installed before monit
    # monit is installed at last task in main playbook to avoid tickets
  loop_control:
    loop_var: role_pflogin_base


- name: initial install of create_signatures
  tags: create_signatures
  ansible.builtin.include_tasks: internalit/roles/perfact-login/create_signatures/tasks/first_install.yml

- name: initial install of pf_verbindungskonfiguration
  tags: pf_verbindungskonfiguration
  ansible.builtin.include_tasks: internalit/roles/perfact-login/pf_verbindungskonfiguration/tasks/main.yml
